<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

/**
 * File for change date
 */

require_once 'common.php';


/**
 * Form after submit
 */
if (isset($_REQUEST['change_data'])) {
    $db->update_row($tbl);
    $go = new Go_Forward();
    $go->go_to_target($_SESSION['file']);
}

/**
 * Form
 */
HTML::printHead($css);
HTML::printBody('teo.change_data');
HTML::printHeadline($headline);


//link calendar files
?>
<script language="JavaScript" src="modul/calendar/calendar_db.js"></script>
<link rel="stylesheet" href="modul/calendar/calendar.css">
<?php

// Creates dates
$timestamp = time();
$today_date = date("Y-m-d", $timestamp);
$one_day = 24*60*60;
$yesterday_date = date("Y-m-d", $timestamp - $one_day);


// read date from db
$date_from_db =  $db->get_one_field($tbl, $_SESSION['id'], $_SESSION['date_name']);

?>
<br/>
<div style="width:40%;" class="center">
<div class="tut">
<h1>
    <?php print link_back_with_query(); ?>
    <br>
    <br>
    <?php print $GLOBALS['la_'.$_SESSION['date_name']]; ?>-Datum eintragen
</h1>
<hr style="border: 8px solid silver;">
<?php

/**
 * Tigra dont works with 0000-00-00
 * create unix timestamp from date if date is 0000-00-00, 
 * $input_value(unix timestamp) is false
 */
$input_value = strtotime($date_from_db);

// if $input_value is not 0000-00-00, take date from db
if ($input_value == true and $date_from_db != '0000-00-00' and $date_from_db != '') {
    $input_value = $date_from_db;
    
// if date is 0000-00-00 set input_value empty
}else{
    $input_value = '';
}
?>
<form  name="teo" method="post" action="date_edit.php">
<input type="text" size="10" name="<?php print $_SESSION['date_name']; ?>"
       value="<?php print $input_value; ?>">

<script language="JavaScript">
    new tcal ({
        // form name
        'formname': 'teo',
        // input name
        'controlname': '<?php print $_SESSION['date_name']; ?>'
    });

</script>

<input type="submit" name="change_data" value="<?php print $la_save; ?>">
<input type="hidden" name="id" value="<?php print $_SESSION['id']; ?>">
<input type="hidden" name="date_name" value="<?php print $_SESSION['date_name']; ?>">
</form>
<hr>

<?php 
/**
 * 3 Forms
 */
$array = array(
    $la_date_today => $today_date,
    $la_date_yesterday => $yesterday_date,
    $la_date_delete => '',
);

foreach ($array as $key => $value) {
    ?>
    <form  method="post" action="date_edit.php">
    <input type="hidden" name="id" value="<?php print $_SESSION['id']; ?>">
    <input type="hidden" name="<?php print $_SESSION['date_name']; ?>" value="<?php print $value; ?>">
    <input type="submit" name="change_data" value="<?php print $value . ', ' . $key; ?>">
    </form>
    <hr>
    <?php  
}

?>
<hr style="border: 8px solid silver;">
<p>&nbsp;</p>
<p>
    <?php print $la_table.': ' . $tbl . '<br/>'; ?>
</p>
<p>
    <?php print 'ID: ' . $_SESSION['id']; ?>
</p>
</div>
</div>
<?php
HTML::printFoot();
?>