<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


/**
 * Script for export database content as csv file ord sql dump
 */
require_once 'common.php';

// Now as date
$date = date("Ymd_Hi");

/**
 *  Form after submit
 */
//  Single table
if (isset($_POST['weiter'])) {
    $export = new Csv();
    $sql = "SELECT * FROM $tbl";
    $res = $db->query($sql);
    $ext = 'csv';
    $name = $date . '_' . $tbl;
    $export->queryExport($res, $name, $ext);
    exit;
}

    
// All tables
if (isset($_POST['export_all'])) {
    $sql = "SHOW tables";
    $db = new Dbc($use['db_e']);
    $result = $db->query($sql);
    while ($row = mysql_fetch_array($result)) {
        $arr_with_tables[] = $row[0]; // row[0] is table name
    }
    
    $filename = $date . '_faktura_usr_' . $use['id'] . '.sql';
    header('Content-type: text/text');
    header('Content-Disposition: attachment; filename='.$filename);
    $db_export = new Db_Export();
    $string1 = $db_export->make_dump($arr_with_tables);
    $string = substr($string1, 0);
    echo $string;
    exit();
}


// Form before submit
HTML::printHead($css);
HTML::printBody();
HTML::printHeadline($headline);

$tbl = $_SESSION['tbl'];

require_once 'include/bar_common.inc.php';

    $sql = "SHOW tables";
    $db = new Dbc($use['db_e']);
    $result = $db->query($sql);
    while ($row = mysql_fetch_array($result)) {
        $arr44[] = $row[0]; // row[0] is table name
    }
    echo $arr44[5];
?>

<div style="width: 50%;">

<h1>Tabellen exportieren</h1>

<p>
Jede Tabelle der Datenbank kann als CSV-Datei exportiert werden.
Das CSV-Format ist ein Textdokument, bei dem die einzelnen Felder mit einem
Trennzeichen getrennt werden.
</p>
<p>
Solch eine Datei kann in einem Kalkulationsprogramm, z.B. OpenOffice "Calc"
oder Microsoft Excel, geffnet und bearbeitet werden.
<br/>
Einstellungen:
</p>
<p>
Zeichensatz: "Westeurop&auml;isch (ISO 5889-1)"
<br/>
Trennzeichen: ";" (Semikolon)
</p>
<p>
    Unver&auml;nderte Dateien knnen zur Datensicherung genutzt werden.
</p>

<form method="post" name="eintragen" action="export.php">
    <h3>Einzelne Tabelle als Textdatei im CSV-Format</h3>
<input type="radio" name="tbl" value="adr" checked="checked" > <?php print $la_addresses; ?>
<br/>
<input type="radio" name="tbl" value="ord" checked="checked" > <?php print $la_orders; ?>
<br/>
<input type="radio" name="tbl" value="ord_ite" checked="checked" > <?php print $la_order_items; ?>
<br/>
<input type="radio" name="tbl" value="exp" checked="checked" > <?php print $la_expense; ?>
<br/>
<input type="radio" name="tbl" value="tex" checked="checked" > <?php print $la_texts; ?>
<br/>
<input type="submit" name="weiter" value="<?php print $la_export; ?>">
</form>
<br/>
<h2>Backup</h2>
    <p>Die ganze Datenbank wird als Textdatei im SQL-Format gespeichert.
    Speichern Sie diese Datei auf Ihrem Rechner. Der Name
    der Backup-Datei trgt ganz vorne das Datum und die Uhrzeit der Sicherung.
    z.B. 201112-1623-faktura-usr2.sql, fr 2011-11-12 16:23 Uhr.
    </p>
<form method="post" name="eintragen" action="export.php">
<input type="submit" name="export_all" value="exportieren">
</form>

</div>
<?php
HTML::printFoot();
?>