<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/


 /**
  * Relations of tables
  * Table prefix has always 3 Charakters, f.i. "auf."
  *
  * @since      12/2010
  */

// Address-Client
$rel_address_client = "
    $tbl_adr as adr
    LEFT JOIN $tbl_cli AS kun
    ON id_tbl_client = kun.id ";

// Article-Kategorie-Unit
$rel_product_category_unit = "
    $tbl_pro AS art
    LEFT JOIN $tbl_cat AS kat
    ON kat.id = id_tbl_category
    LEFT JOIN $tbl_uni AS ein
    ON id_tbl_unit = ein.id ";

// Complaint-Address
$rel_complaint_address = "
    $tbl_com AS com
    LEFT JOIN $tbl_adr AS adr
    ON adr.id = com.id_tbl_address ";

// Order-Address
$rel_order_address = "
    $tbl_ord AS auf
    LEFT JOIN $tbl_adr AS adr
    ON adr.id = auf.id_tbl_address ";

// Order-Address
$rel_order_address_delivery = "
    $tbl_ord AS auf
    LEFT JOIN $tbl_adr AS adr
    ON adr.id = auf.id_tbl_address_deliv ";

// Order-Address-Operator
$rel_order_address_worker = "
    $tbl_ord AS auf
    LEFT JOIN $tbl_adr AS adr
    ON adr.id = auf.id_tbl_address
    LEFT JOIN $tbl_wor AS bea
    ON bea.id = auf.id_tbl_worker ";

// Order_position-Order
$rel_order_item_order = "
    $tbl_ord_ite AS aufp
    LEFT JOIN $tbl_ord AS auf
    ON id_tbl_order = auf.id";

// Order_position-Order
$rel_order_item_order_product = "
    $tbl_ord_ite AS aufp
    LEFT JOIN $tbl_ord AS auf
    ON id_tbl_order = auf.id
    LEFT JOIN $tbl_pro AS pro
    ON id_tbl_product = pro.id";

// Order-position-Unit
$rel_order_item_unit = "
    $tbl_ord_ite AS aufp
    LEFT JOIN $tbl_uni AS ein
    ON id_tbl_unit = ein.id ";

// TEST
// Order-position-Unit
$rel_auf_auf_pos_ein = "
    $tbl_ord_ite AS aufp
    LEFT JOIN $tbl_ord AS auf
    ON id_tbl_order = auf.id 
    LEFT JOIN $tbl_uni AS ein
    ON id_tbl_unit = ein.id ";

// Expense-Address
$rel_expense_address = "
    $tbl_exp AS aus
    LEFT JOIN $tbl_adr AS adr
    ON id_tbl_address = adr.id ";

// Fitting-Unit
$rel_fitting_unit = "
    $tbl_cal_fit AS bes
    LEFT JOIN  $tbl_uni AS ein
    on ein.id = id_tbl_unit ";

// Letter-Address
$rel_letter_address = "
    $tbl_let AS bri
    LEFT JOIN $tbl_adr AS adr
    ON adr.id = id_tbl_address ";

// Woodlist-Material
$rel_list_material = "
    $tbl_cal_lis AS hol
    LEFT JOIN $tbl_cal_mat AS mat
    ON mat.item = item_tbl_calc_material AND mat.id_tbl_order_item = hol.id_tbl_order_item";

// Calculation order item
$rel_calcu_order_item = "
    $tbl_cal AS kal
    LEFT JOIN $tbl_ord_ite AS aufp
    ON aufp.id = id_tbl_order_item ";

// Client-Address
$rel_client_address = "
    $tbl_cli AS kun
    LEFT JOIN $tbl_adr AS adr
    ON adr.id = id_tbl_address ";

// Client_article-Article
$rel_client_product_product = "
    $tbl_cli_pro AS kuna
    LEFT JOIN $tbl_pro AS art
    ON art.id = id_tbl_product ";

// Material-Unit
$rel_material_unit = "
    $tbl_cal_mat AS mat
    LEFT JOIN $tbl_uni AS ein
    ON ein.id = id_tbl_unit ";

// pri_pub-category-Unit
$rel_price_category_unit_public = "
    $tbl_pri_pub as pre
    LEFT JOIN $tbl_cat as kat
    ON id_tbl_category = kat.id
    LEFT JOIN $tbl_uni as ein
    ON id_tbl_unit = ein.id ";

// Price-category-unit-address
$rel_price_category_unit_address = "
    $tbl_pri as pre
    LEFT JOIN $tbl_cat as kat
    ON id_tbl_category = kat.id
    LEFT JOIN $tbl_uni as ein
    ON id_tbl_unit = ein.id
    LEFT JOIN $tbl_adr as adr
    ON id_tbl_address = adr.id ";

// Time hourly rate
$rel_time_hours = "
    $tbl_cal_tim AS zei
    LEFT JOIN $tbl_hou AS stu
    ON stu.id = id_tbl_hourly_rate ";
