<?php
/*
schreinerwissen. auftragsverwaltung 
Copyright (C) 2011  Carsten Hilbert
c-hilbert@web.de

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

$link = new Link();
$invert = 'link_invert';
?>
<style type="text/css">
    .button{
        float: right;
        border-right: 0;
        padding: 0;
        margin:0;
    }
    .button a{
        text-decoration: none;
    }
    .button li{
        background: silver;
        border: 0;
        padding: 0;
        margin:0;
    }
</style>

<div id="menu1" class="invisible">
    <ul>
<?php
print link_back_with_query('li');
    
    $link_menu = new Link_Menu();
    
    // Values
    $arr = array();
    $arr['page'] = 1;
    $arr['hide'] = '0';
    $arr['search_mod'] = 1;
    $arr['todo'] = 1;

    // todo
    $condition = (isset($_REQUEST['todo']) );
    $link_menu->set_condition_background($condition);
    $link_menu->set_background('ord');
    $arr['tbl'] = 'ord';
    print $link_menu->insert_modul('todo', 'query.php', $la_todo, $arr);
    

    // Values
    $arr['new'] = 1;
    $arr['go'] = 1;
    $arr['file'] = basename($_SERVER['PHP_SELF']);
    unset($arr['todo']);
    
    // Addresses
    print $link_menu->set_link('adr', $la_addresses, $arr, $la_address_title);
    
    // Orders
    print $link_menu->set_link('ord', $la_orders, $arr, $la_order_title);
        
    // Category
    print $link_menu->set_link('cat', $la_category, $arr);

    // Product
    print $link_menu->set_link('pro', $la_products, $arr, $la_product_title);

    // Price
    $link_menu->set_background('pri');
    print $link_menu->insert_modul('calc', 'query.php', $la_prices, $arr);

    // Last edited order
    if (!empty ($_SESSION['auf_id'])) {
        unset ($arr['id']);
        
        // id or number from order
        if (isset($adm['own_doc_number']) and $adm['own_doc_number'] == 1) {
            $id_nr = $db->get_one_field($tbl_ord, $_SESSION['auf_id'], 'number');
        }else{
            $id_nr = $_SESSION['auf_id'];
        }
        
        $condition = (   (isset ($_REQUEST['tbl']) and $_REQUEST['tbl'] == 'ord')
                and   (isset($_REQUEST['auf_id'])  and  $_REQUEST['auf_id'] == $_SESSION['auf_id']) 
                );
        $link_menu->set_condition_background($condition);
        print $link_menu->set_link('ord', $la_last_edited_order.' '. $id_nr, 
                $arr, $la_last_edited_order, 'order_edit.php');
    }
    
    #require_once PROJECT_DOCUMENT_ROOT . '/development/bar_common_vario.inc.php';



    if (LOCAL_SYSTEM == false) {
        echo '<br>';
    }
        
    
    // Expense
    $link_menu->set_background('exp');
    $arr['tbl'] = 'exp';
    /* @var $la_expense string */
    print $link_menu->insert_modul('expense', 'query.php', $la_expense, $arr);


    // Text
    $link_menu->set_background('tex');
    $arr['tbl'] = 'tex';
    print $link_menu->insert_modul('text', 'query.php', $la_texts, $arr);

    
    // Letter
    $link_menu->set_background('let');
    $arr['tbl'] = 'let';
    print $link_menu->insert_modul('letter', 'query.php', $la_letters, $arr);

    
    // Analysis
    $condition = ( isset ($_REQUEST['year']) );
    $link_menu->set_condition_background($condition);
    $link_menu->set_background('ord_ite');
    print $link_menu->insert_modul('analysis', 'modul/analysis/analysis.php', $la_analysis, $arr);
    unset ($arr['year']);

    
    // Calculation
    $link_menu->set_background('cal');
    $arr['tbl'] = 'cal';
    print $link_menu->insert_modul('calc', 'query.php', $la_calculations, $arr);
    
    // Convention
    $link_menu->set_background('con');
    $arr['tbl'] = 'con';
    print $link_menu->insert_modul('convention', 'query.php', 'Vereinbarungen', $arr);

    // Order position
    print $link_menu->set_link('ord_ite', $la_order_pos, $arr);


    // Setting
    print $link_menu->set_link('adm', $la_settings, $arr, $la_settings, 'user_setting.php');

    // Export
    print $link_menu->set_link('exp', $la_export, $arr, $la_export, 'export.php');

    // Help
    ?>
     <a href="http://schreinerwissen.de/faktura/hilfe.php" target="blank">
         <?php print $la_help; ?> </a>
    <?php
    
    // logout
    if (LOCAL_SYSTEM == false) {
    	$arr7['logout'] = 1;
    	$arr7[session_name()] = session_id();
    	print $link->make_link(PROJECT_HTTP_ROOT . 'logout.php', $la_logout, $arr7);
    }
    
    // Tutor
    unset($arr['tbl']);
    if (isset ($file) and $file == 'tutor.php') {
        $fat = $invert; }  else { $fat = '';  }
    $link->set_class($fat);
    #print $link->make_link(PROJECT_HTTP_ROOT.'tutor.php', 'Tutor', $arr);
    

    // Import
    $arr2 = array('new' => 1,);
    if (isset ($_SESSION['tbl'])) {
        $arr2['tbl'] = $_SESSION['tbl'];
    }
    print $link_menu->insert_modul('import', 'modul/import/import.php', $la_import, $arr2);
    
    
    if ($use['id'] < 3 and LOCAL_SYSTEM == false) {
        ?>
        <script type="text/javascript">
        function FensterOeffnen () {
          MeinFenster = window.open("http://www.schreinerwissen.de/faktura-0.52-alpha/look.php?new=1", "schreinerwissen-such-fenster", 
          "width=800,height=600,location=no, dependent=yes,left=100,top=200,scrollbars=yes,dependent=yes,screenX=500, screenY=1");
          MeinFenster.focus();
        }
        </script>
        <a href="datei.htm" onclick="FensterOeffnen(this.href); return false">nachschlagen</a>
        <?php
    }

    ?>
    </ul>
    </div>
        <?php
        
if ( (isset ($use['id']) and $use['id'] < 3) and (isset($_SESSION['bea_id']) 
        and $_SESSION['bea_id'] == 1) ) {
    
    $bar = PROJECT_DOCUMENT_ROOT . '/development/bar_admin.php';
    if (is_file($bar)) {
        require_once $bar;
    }
}



